{if !empty($cHinweis)}<div class="alert alert-success">{$cHinweis}</div>{/if}
{if !empty($cError)}<div class="alert alert-danger">{$cError}</div>{/if}

<form method="post">
    {$jtl_token}
    <input type="hidden" name="kPlugin" value="{$kPlugin}"/>
    <input type="hidden" name="kPluginAdminMenu" value="{$kPluginAdminMenu}"/>
    <input type="hidden" name="cssAdminConfigAction" value="saveConfig" />

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Plugin Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Das Plugin ist')}</span>
            </div>
            <select id="pluginActive" name="pluginActive" class="form-control">
                <Option {if $pluginConfig->pluginActive=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
{*
                <Option {if $pluginConfig->pluginActive=='A'} selected {/if} value="A">{__('nur für Admin sichtbar')}</Option>
*}
                <Option {if $pluginConfig->pluginActive=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob das Plugin aktiv ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <!-- ab hier kommen die individuellen Einstellungen -->
    </fieldset>
    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('MaxMind (GeoLite2) Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Account/User ID MaxMind')}</span>
            </div>
            <input type="text" name="maxMindUserAccount" class="form-control" value="{$pluginConfig->maxMindUserAccount}" placeholder="{__('User ID von MaxMind')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte tragen Sie Ihren Account von MaxMind ein.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Lizenskey bei MaxMind')}</span>
            </div>
            <input type="text" name="maxMindUserKey" id="maxMindUserKey" class="form-control" value="{$pluginConfig->maxMindUserKey}" placeholder="{__('Token von MaxMind')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte tragen Sie Ihren Lizenzkey von MaxMind ein.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        {if !empty($pluginConfig->maxMindUserKey)}
            {if $autoImport===false}
                <div class="alert alert-warning" style="margin-top:15px; padding:10px;">
                    <p>{__('Ihre Serverkonfiguration erlaubt es nicht, Shellbefehle auszuführen, daher ist ein automatischer Import der MaxMind Datenbank nicht möglich. Bitte beachten Sie die Anweisungen in der Dokumentation.')}</p>
                </div>
            {else}
                {if $isWriteable===false}
                    <div class="alert alert-warning" style="margin-top:15px; padding:10px;">
                        <p>{__('Das Verzeichnis {$css_dataPath} ist nicht beschreibbar, bitte vergeben Sie diesem Verzeichnis Schreibrechte.')}</p>
                    </div>
                {else}
                    <div id="geoImport-button" style="position:relative;">
                        <button type="button" class="btn btn-default geoIPImport">GeoLite2 Import</button>
                    </div>
                    <div class="alert alert-info " style="margin-top:15px;">
                        <p>{__('Sie haben die m&ouml;glichkeit die Datenbank &uuml;ber einen Cronjob aktualisieren zu lassen, es macht aber keinen Sinn dieses mehrmals am Tag durchzuf&uuml;hren.')}</p>
                        <p><b><u>{__('Aufruf f&uuml;r den Cronjob:')}</u></b></p>
                        <pre style="background-color:white;padding:15px;">{$cssShopURL}/io.php?io=css_vatSelect&getGeoIP</pre>
                    </div>
                {/if}

            {/if}
        {/if}

    </fieldset>
    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Template Framework')}</span>
            </div>
            <select id="framework" name="framework" class="form-control">
                <Option {if $pluginConfig->framework=='B3'} selected {/if} value="B3">{__('Bootstrap 3 (z.B. EVO)')}</Option>
                <Option {if $pluginConfig->framework=='B4'} selected {/if} value="B4">{__('Bootstrap 4 (z.B. NOVA)')}</Option>
                {if isset($bHasCustom)}
                    <Option {if $pluginConfig->framework=='custom'} selected {/if} value="CU">{__('Custom (Ihre eigene updatesichere Pluginmodifikation)')}</Option>
                {/if}
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier geben Sie an, welches Framework Ihr Template nutzt, Wenn Sie es nicht wissen, fragen Sie bitte den Hersteller des Templates Sie können alle Dateien in ein custom Verzeichnis kopieren und individuell und updatesicher editieren, dieses ist dann auswählbar.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Zuweisung des Steuerlandes')}</span>
            </div>
            <select id="showModalTax" name="showModalTax" class="form-control" >
                <Option {if $pluginConfig->showModalTax== 'n'} selected {/if} value="N">{__('Keine automatische Zuweisung (kein automatisches Fenster / Auswahl nur per Link)')}</Option>
                <Option {if $pluginConfig->showModalTax== 'M'} selected {/if} value="M">{__('Modales Fenster')}</Option>
                <Option {if $pluginConfig->showModalTax== 'G'} selected {/if} value="G">{__('Automatische Erkennung durch GeoLite2')}</Option>
                <Option {if $pluginConfig->showModalTax== 'GM'} selected {/if} value="GM">{__('Modales Fenster bei Nichterkennung durch GeoLite2')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Aktivieren oder deaktivieren Sie die Lieferland Abfrage.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Nur belieferbare Länder anzeigen')}</span>
            </div>
            <select id="showAllowedCountrys" name="showAllowedCountrys" class="form-control" >
                <Option {if $pluginConfig->showAllowedCountrys== 'N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->showAllowedCountrys== 'Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('bei Aktivierung werden nur noch belieferbare Länder angezeigt.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Alphabetische Vorauswahl ab X Einträgen')}</span>
            </div>
            <select id="maxCountrys" name="maxCountrys" class="form-control" >
                {for $foo=10 to 50}
                    <Option {if $pluginConfig->maxCountrys == $foo} selected {/if} value="{$foo}">{$foo}</Option>
                {/for}
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Maximale Anzahl der Länder bevor eine Alphabetische Vorauswahl zu sehen ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Anzeige der Steuerinformationen')}</span>
            </div>
            <select id="showTaxInformation" name="showTaxInformation" class="form-control" >
                <Option {if $pluginConfig->showTaxInformation== 'N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->showTaxInformation== 'Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Aktivieren oder deaktivieren Sie die Steuerinformation.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Bot Erkennung')}</span>
            </div>
            <select id="botDetection" name="botDetection" class="form-control" >
                <Option {if $pluginConfig->botDetection== 'N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->botDetection== 'Y'} selected {/if} value="Y">{__('Aktiviert (empfohlen)')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Aktivieren oder deaktivieren Sie die Bot Erkennung, dies verhindert die automatisierte Umstellung und ist insbesondere für Googleshopping relevant.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Feed Parameter für Preislisten<br>z.B.: ' )}&nbsp;?{$pluginConfig->feedParameter}=ch</span>
            </div>
            <input type="text" name="feedParameter" class="form-control" value="{$pluginConfig->feedParameter}" placeholder="{__('country')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Sie können Ihren Feeds wie Googleshopping einen Parameter hinzufügen damit die entsprechende Steuer für das zum Feed zugehörigem Land angezeigt wird.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selektor f&uuml;r die Anzeige in der Artikel Detailseite')}</span>
            </div>
            <input type="text" name="selector_artikel" class="form-control" value="{$pluginConfig->selector_artikel}" placeholder="{__('.product-offer >.price_wrapper')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Selectoren fest.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Einfügemethode')}</span>
            </div>
            <select id="selector_position_detail" name="selector_artikel_position" class="form-control">
                <Option {if $pluginConfig->selector_artikel_position=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->selector_artikel_position=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->selector_artikel_position=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->selector_artikel_position=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->selector_artikel_position=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->selector_artikel_position=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Einfügemethode fest oder deaktivieren diese Option.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selektor f&uuml;r die Anzeige der Auswahl (Seite)')}</span>
            </div>
            <input type="text" name="selector" class="form-control" value="{$pluginConfig->selector}" placeholder="{__('#footer')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Selectoren fest.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Einfügemethode')}</span>
            </div>
            <select id="selector_position" name="selector_position" class="form-control">
                <Option {if $pluginConfig->selector_position=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->selector_position=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->selector_position=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->selector_position=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->selector_position=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->selector_position=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Einfügemethode fest oder deaktivieren diese Option.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

    </fieldset>
    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Vorhandene Steuerzonen')}</legend>



        <div class="alert alert-info">
            <p>{__('Bezeichnung der Steuerzonen in den jeweiligen Shop Sprachen Sie k&ouml;nnen die Zonen in der Reihenfolge verschieben')}</p>
        </div>


        <ul id="sortable" style="padding-left:0; list-style-type: none; list-style-position: outside;padding:0 0;">
            {foreach from=$aTaxZones item=oTaxZone name='taxCountrys'}
            <li class="ui-state-default" style=" margin-top:10px; padding:0 10px;">
                <div class="panel-heading">
                    <h3 class="panel-title" style="height:auto; position:relative; padding:5px;" >{$oTaxZone->cName} <i style="position:absolute; right:15px; top:10px; color:darkred" class="fa fa-bars" aria-hidden="true""></i></h3>
                </div>

                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">
                            <input type="hidden" value="{if !empty($pluginConfig->TaxZoneIcon[$oTaxZone->kSteuerzone])}{$pluginConfig->TaxZoneIcon[$oTaxZone->kSteuerzone]}{else}{/if}" name="TaxZoneIcon[{$oTaxZone->kSteuerzone}]" id="TaxZoneIcon{$oTaxZone->kSteuerzone}" >
                            <span class="img">
                                {if !empty($pluginConfig->TaxZoneIcon[$oTaxZone->kSteuerzone])}
                                    <img src="{$oCssPlugin->getPluginURL()}/flags/4x3/{$pluginConfig->TaxZoneIcon[$oTaxZone->kSteuerzone]}"  alt="" width='32px'>
                                {else}{__('noch keine Flagge ausgew&auml;hlt')}
                                {/if}
                            </span>
                        </span>
                    </div>
                    <button id="TaxZoneButton{$oTaxZone->kSteuerzone}" type="button" class="css-flag-button form-control btn btn-default btn-lg form-control">{__('Flagge ausw&auml;hlen')}</button>
                    <select id="TaxZoneShow{$oTaxZone->kSteuerzone}" name="TaxZoneShow[{$oTaxZone->kSteuerzone}]" class="form-control">
                        <Option {if $pluginConfig->TaxZoneShow[$oTaxZone->kSteuerzone]=='Y'} selected {/if} value="Y">{__('anzeigen')}</Option>
                        <Option {if $pluginConfig->TaxZoneShow[$oTaxZone->kSteuerzone]=='N'} selected {/if} value="N">{__('nicht anzeigen')}</Option>
                    </select>
                    <div class="input-group-append">
                        <span class="input-group-text">
                            <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                                  data-original-title="{__('Bitte w&auml;hlen Sie eine passende Flagge für das Land aus.')}">
                                <span class="fas fa-info-circle fa-fw"></span>
                            </span>
                       </span>
                    </div>
                </div>
                <div class="input-group mb-3">
                    <div class="input-group-prepend" >
                        <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Umschalten der W&auml;hrung')}</span>
                    </div>
                    <select id="TaxZoneCurrency_{$oTaxZone->kSteuerzone}"
                            name="TaxZoneCurrency[{$oTaxZone->kSteuerzone}]" class="form-control">

                        <Option value="">{__('Keine Umschaltung')}</Option>
                        {foreach from=$aTaxCurrency item=tg }
                            <Option {if $pluginConfig->TaxZoneCurrency[$oTaxZone->kSteuerzone] == $tg->kWaehrung } selected {/if} value="{$tg->kWaehrung}">{$tg->cName}</Option>
                        {/foreach}
                    </select>
                    <div class="input-group-append">
                        <span class="input-group-text">
                            <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                                  data-original-title="{__('W&auml;hlen Sie bitte, ob die W&auml;hrung abh&auml;ngig von der Steuerzone ge&auml;ndert werden soll.')}">
                                <span class="fas fa-info-circle fa-fw"></span>
                            </span>
                       </span>
                    </div>
                </div>

                <div class="input-group mb-3">
                    <div class="input-group-prepend" >
                        <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Umschalten der Kundengruppe')}</span>
                    </div>
                    <select id="TaxZoneGroup{$oTaxZone->kSteuerzone}"
                            name="TaxZoneGroup[{$oTaxZone->kSteuerzone}]" class="form-control">

                        <Option value="">{__('Keine Umschaltung')}</Option>
                        {foreach from=$aTaxGroups item=tg }
                            <Option {if $pluginConfig->TaxZoneGroup[$oTaxZone->kSteuerzone] == $tg->kKundengruppe } selected {/if} value="{$tg->kKundengruppe}">{$tg->cName}</Option>
                        {/foreach}
                    </select>
                    <div class="input-group-append">
                        <span class="input-group-text">
                            <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                                  data-original-title="{__('W&auml;hlen Sie bitte, ob die Kundengruppe abh&auml;ngig von der Steuerzone ge&auml;ndert werden soll.')}">
                                <span class="fas fa-info-circle fa-fw"></span>
                            </span>
                       </span>
                    </div>
                </div>
                {foreach from=$aSprachen item=oSprache name='sprachen'}
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{$oSprache->cNameDeutsch}</span>
                        </div>
                        <input name="TaxZoneLanguage[{$oTaxZone->kSteuerzone}][{$oSprache->kSprache}]" id="TaxZoneLanguage{$oTaxZone->kSteuerzone}_{$oSprache->kSprache}"
                               placeholder=""  type="text" class="form-control"
                               value="{if !empty($pluginConfig->TaxZoneLanguage[$oTaxZone->kSteuerzone][$oSprache->kSprache])}{$pluginConfig->TaxZoneLanguage[$oTaxZone->kSteuerzone][$oSprache->kSprache]}{else}{$oTaxZone->cName}{/if}">
                        <div class="input-group-append">
                            <span class="input-group-text">
                                <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                                      data-original-title="{__('Angezeigter Text f&uuml;r die Sprache')} {$oSprache->cNameDeutsch}">
                                    <span class="fas fa-info-circle fa-fw"></span>
                                </span>
                           </span>
                        </div>
                    </div>

                {/foreach}
            </li>
            {/foreach}
        </ul>
        <script>
            $( function() {
                $( "#sortable" ).sortable();
                $( "#sortable" ).disableSelection();

                $( "#sortable" ).on( "sortstart change start", function( event, ui ) {
                    console.log(event);

                } );
            } );
        </script>
    </fieldset>
    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Sprache Steuerklassen')}</legend>

        <div class="alert alert-info">
            <p>Bezeichnung der Steuerklassen in den jeweiligen Shop Sprachen, lassen Sie das Feld einer Klasse frei, wird dieses nicht angezeigt</p>
        </div>

        {foreach from=$aTaxClasses item=oTaxClass name='taxCClasses'}
            <div class="panel-heading">
                <h3 class="panel-title" style="height:auto;">{$oTaxClass->cName}</h3>
            </div>
            {foreach from=$aSprachen item=oSprache name='sprachen'}
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{$oSprache->cNameDeutsch}</span>
                    </div>
                    <input name="TaxClassLanguage[{$oTaxClass->kSteuerklasse}][{$oSprache->kSprache}]" id="TaxClassLanguage{$oTaxClass->kSteuerklasse}_{$oSprache->kSprache}"
                           placeholder=""  type="text" class="form-control" value="{if empty($pluginConfig->TaxClassLanguage[$oTaxClass->kSteuerklasse]) && empty($pluginConfig->TaxClassLanguage[$oTaxClass->kSteuerklasse][$oSprache->kSprache])}{$oTaxClass->cName}{else}{$pluginConfig->TaxClassLanguage[$oTaxClass->kSteuerklasse][$oSprache->kSprache]}{/if}">
                    <div class="input-group-append">
                        <span class="input-group-text">
                            <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                                  data-original-title="{__('Angezeigter Text f&uuml;r die Sprache')} {$oSprache->cNameDeutsch}">
                                <span class="fas fa-info-circle fa-fw"></span>
                            </span>
                       </span>
                    </div>
                </div>
            {/foreach}
        {/foreach}

    </fieldset>
    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Zusätzliche Styles/ JavaScript')}</legend>



        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Styles')}</span>
            </div>
            <textarea style="min-height:400px" id="css" class="form-control" name="css">{$pluginConfig->css}</textarea>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier k&ouml;nnen Sie je nach bedarf eigene Styles anlegen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('JavaScript')}</span>
            </div>
            <textarea style="min-height:400px" id="javaScript" class="form-control" name="js">{$pluginConfig->js}</textarea>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier k&ouml;nnen SIe je nach bedarf zusätzliches JavaScript anlegen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
    </fieldset>

<div class="save-wrapper">
    <div class="ml-auto col-sm-6 col-xl-auto">
        <button name="a" type="submit" value="" class="btn btn-outline-primary btn-block save">
            <i class="fas fa-save"></i>&nbsp;{__('Konfiguration speichern')}
        </button>
    </div>
</div>
</form>

<script>
    jQuery(document).ready(function() {
        $("#css-modalFlags").modal('show');
        $(document).on("click" , "#css-modalFlags a.css-link-flags", function(e) {
            e.preventDefault();
        });

        $(document).on('click', '.css-alphabet a', function(e) {
            e.preventDefault();
            console.log($(this).attr('href'));
            $(".css-flags").slideUp(function() {
                console.log("hallo");
            });
            $("." + $(this).attr('href')).slideDown();
        });

        $(document).on("click", ".css-link-flags" , function() {
            console.log("clicked", $(this).data("element"));
            var group = $("#" + $(this).data("element")).closest(".input-group");

            $(group).find("input").val($(this).data("img"));
            $(group).find(".img").html("<img width='32px' src='{$oCssPlugin->getPluginURL()}/flags/4x3/" +  $(this).data("img") + "' >");
            $("#css-modalFlags").modal("hide");
        });


    });
</script>

<style>

    .css-tax-flex-container {
        display: flex;
        flex-wrap:wrap;
    }

    .css-tax-flex-container > div {
        margin:5px 0;
    }
    .css-country {
        display:none;
    }

    #css-modalFlags .modal-dialog {
        transition: width .05s ease-in-out;
    }

    #css-modalFlags .css-alphabet a {
        display:inline-block;
        text-align:center;
        width:30px;
    }
    #css-modalFlags .css-link-flags {
        padding-left:30px;
        position:relative;
        display:block;
        min-height:20px;
    }
    #css-modalFlags .css-link-flags > img {
    }
</style>